<h3>Click task to view the details:</h3>
<div class="flex-start row">
    <table *ngIf="benchmarkResult">
        <thead>
        <tr>
            <th scope="col">Name</th>
            <th scope="col">Input Size</th>
            <th scope="col">Result</th>
        </tr>
        </thead>
        <tbody>

        <tr class="result-record"
            [ngClass]="{'active': selectedResult === result}"
            (click)="selectedResult = result"
            *ngFor="let result of benchmarkResult.taskResults">
            <td>{{result.name}}</td>
            <td>{{valueConverter.toStringSI(result.inputSize)}}</td>
            <td>{{calculateActualResultValue(result)}}</td>
        </tr>
        </tbody>
    </table>

    <table *ngIf="selectedResult">
        <caption>Hover over rows to view value explanations.</caption>
        <tr title="The name of the task">
            <td><b>Name</b></td>
            <td>{{selectedResult.name}}</td>
        </tr>
        <tr title="The description of the task">
            <td><b>Description</b></td>
            <td>{{selectedResult.description}}</td>
        </tr>
        <tr title="The input size of the data the task was supplied from the previous one">
            <td><b>Input size</b></td>
            <td>{{valueConverter.toStringSI(selectedResult.inputSize, selectedResult.input?.unit)}}</td>
        </tr>
        <tr title="The result of the task">
            <td><b>Result</b></td>
            <td>{{calculateActualResultValue(selectedResult)}}</td>
        </tr>
        <tr title="The time used to calculate the score. It is a processed time of all the iterations. It might be the average or least time of iterations etc.">
            <td><b>Post processed time</b></td>
            <td>{{valueConverter.toStringSI(selectedResult.time, 's')}}</td>
        </tr>
        <tr title="How many iterations of this task were used to calculate the score. The actual iterations that were run may be more since some might be ignored if assumed as outliers">
            <td><b>Iterations</b></td>
            <td>{{valueConverter.toStringSI(selectedResult.statistics.sampleSize, null, 0)}}</td>
        </tr>
        <tr title="The maximum time of iterations">
            <td><b>Max time</b></td>
            <td>{{valueConverter.toStringSI(selectedResult.statistics.max, 's')}}</td>
        </tr>
        <tr title="The minimum time of iterations">
            <td><b>Min time</b></td>
            <td>{{valueConverter.toStringSI(selectedResult.statistics.min, 's')}}</td>
        </tr>
        <tr title="The arithmetic average of time of iterations">
            <td><b>Mean time</b></td>
            <td>{{valueConverter.toStringSI(selectedResult.statistics.mean, 's')}}</td>
        </tr>
        <tr title="The standard deviation of time of iterations">
            <td><b>Standard deviation</b></td>
            <td>{{valueConverter.toStringSI(selectedResult.statistics.standardDeviation, 's')}}</td>
        </tr>
        <tr title="The margin of error of time of iterations">
            <td><b>Margin of error</b></td>
            <td>{{valueConverter.toStringSI(selectedResult.statistics.marginOfError, 's')}}</td>
        </tr>
        <tr title="The statistic Tau of the iterations">
            <td><b>Tau</b></td>
            <td>{{valueConverter.toStringSI(selectedResult.statistics.tau)}}</td>
        </tr>
    </table>
</div>
